# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::Range Class Reference

Range type. More...

`#include <arrays.h>`

## Public Member Functions
| Range (int s, int e)
| Constructor. More...
int | First () const
| Returns the start of the range. More...
int | Last () const
| Returns the end point of the range. More...

## Private Attributes
int | m_fst
int | m_lst

## Detailed Description

Range type encapsulating a closed range of values [first,last]. Used to initialies OneDArrays.

## Constructor & Destructor Documentation

dirac::Range::Range | ( | int | s,
|  | int | e
| ) |  |
| inline

Constructor taking a start and an end point for the range.

## Member Function Documentation

int dirac::Range::First | ( |  | ) | const
| inline

References m_fst.

Referenced by dirac::OneDArray< T >::Init().

int dirac::Range::Last | ( |  | ) | const
| inline

References m_lst.

Referenced by dirac::OneDArray< T >::Init().

## Member Data Documentation

int dirac::Range::m_fst
| private

Referenced by First().

int dirac::Range::m_lst
| private

Referenced by Last().

The documentation for this class was generated from the following file:

- arrays.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.